<?php

namespace Liberty\Service\Cotizador\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for cotizadorDetalleResponse StructType
 * @subpackage Structs
 */
class CotizadorDetalleResponse extends AbstractStructBase
{
    /**
     * The codDeducible
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codDeducible;
    /**
     * The codPlan
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codPlan;
    /**
     * The codProducto
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codProducto;
    /**
     * The descDeducible
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descDeducible;
    /**
     * The descPlan
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descPlan;
    /**
     * The descProducto
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descProducto;
    /**
     * The indInspeccion
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $indInspeccion;
    /**
     * The mapCoberturas
     * @var \Liberty\Service\Cotizador\StructType\MapCoberturas
     */
    public $mapCoberturas;
    /**
     * The nroCotizacion
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $nroCotizacion;
    /**
     * The porcentajeComision
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $porcentajeComision;
    /**
     * The porcentajeDescuento
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $porcentajeDescuento;
    /**
     * The porcentajeRecargo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $porcentajeRecargo;
    /**
     * The primaAfecta
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaAfecta;
    /**
     * The primaBruta
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaBruta;
    /**
     * The primaExenta
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaExenta;
    /**
     * The primaNeta
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaNeta;
    /**
     * Constructor method for cotizadorDetalleResponse
     * @uses CotizadorDetalleResponse::setCodDeducible()
     * @uses CotizadorDetalleResponse::setCodPlan()
     * @uses CotizadorDetalleResponse::setCodProducto()
     * @uses CotizadorDetalleResponse::setDescDeducible()
     * @uses CotizadorDetalleResponse::setDescPlan()
     * @uses CotizadorDetalleResponse::setDescProducto()
     * @uses CotizadorDetalleResponse::setIndInspeccion()
     * @uses CotizadorDetalleResponse::setMapCoberturas()
     * @uses CotizadorDetalleResponse::setNroCotizacion()
     * @uses CotizadorDetalleResponse::setPorcentajeComision()
     * @uses CotizadorDetalleResponse::setPorcentajeDescuento()
     * @uses CotizadorDetalleResponse::setPorcentajeRecargo()
     * @uses CotizadorDetalleResponse::setPrimaAfecta()
     * @uses CotizadorDetalleResponse::setPrimaBruta()
     * @uses CotizadorDetalleResponse::setPrimaExenta()
     * @uses CotizadorDetalleResponse::setPrimaNeta()
     * @param int $codDeducible
     * @param int $codPlan
     * @param int $codProducto
     * @param string $descDeducible
     * @param string $descPlan
     * @param string $descProducto
     * @param int $indInspeccion
     * @param \Liberty\Service\Cotizador\StructType\MapCoberturas $mapCoberturas
     * @param int $nroCotizacion
     * @param float $porcentajeComision
     * @param float $porcentajeDescuento
     * @param float $porcentajeRecargo
     * @param float $primaAfecta
     * @param float $primaBruta
     * @param float $primaExenta
     * @param float $primaNeta
     */
    public function __construct($codDeducible = null, $codPlan = null, $codProducto = null, $descDeducible = null, $descPlan = null, $descProducto = null, $indInspeccion = null, \Liberty\Service\Cotizador\StructType\MapCoberturas $mapCoberturas = null, $nroCotizacion = null, $porcentajeComision = null, $porcentajeDescuento = null, $porcentajeRecargo = null, $primaAfecta = null, $primaBruta = null, $primaExenta = null, $primaNeta = null)
    {
        $this
            ->setCodDeducible($codDeducible)
            ->setCodPlan($codPlan)
            ->setCodProducto($codProducto)
            ->setDescDeducible($descDeducible)
            ->setDescPlan($descPlan)
            ->setDescProducto($descProducto)
            ->setIndInspeccion($indInspeccion)
            ->setMapCoberturas($mapCoberturas)
            ->setNroCotizacion($nroCotizacion)
            ->setPorcentajeComision($porcentajeComision)
            ->setPorcentajeDescuento($porcentajeDescuento)
            ->setPorcentajeRecargo($porcentajeRecargo)
            ->setPrimaAfecta($primaAfecta)
            ->setPrimaBruta($primaBruta)
            ->setPrimaExenta($primaExenta)
            ->setPrimaNeta($primaNeta);
    }
    /**
     * Get codDeducible value
     * @return int|null
     */
    public function getCodDeducible()
    {
        return $this->codDeducible;
    }
    /**
     * Set codDeducible value
     * @param int $codDeducible
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setCodDeducible($codDeducible = null)
    {
        // validation for constraint: int
        if (!is_null($codDeducible) && !is_numeric($codDeducible)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($codDeducible)), __LINE__);
        }
        $this->codDeducible = $codDeducible;
        return $this;
    }
    /**
     * Get codPlan value
     * @return int|null
     */
    public function getCodPlan()
    {
        return $this->codPlan;
    }
    /**
     * Set codPlan value
     * @param int $codPlan
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setCodPlan($codPlan = null)
    {
        // validation for constraint: int
        if (!is_null($codPlan) && !is_numeric($codPlan)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($codPlan)), __LINE__);
        }
        $this->codPlan = $codPlan;
        return $this;
    }
    /**
     * Get codProducto value
     * @return int|null
     */
    public function getCodProducto()
    {
        return $this->codProducto;
    }
    /**
     * Set codProducto value
     * @param int $codProducto
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setCodProducto($codProducto = null)
    {
        // validation for constraint: int
        if (!is_null($codProducto) && !is_numeric($codProducto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($codProducto)), __LINE__);
        }
        $this->codProducto = $codProducto;
        return $this;
    }
    /**
     * Get descDeducible value
     * @return string|null
     */
    public function getDescDeducible()
    {
        return $this->descDeducible;
    }
    /**
     * Set descDeducible value
     * @param string $descDeducible
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setDescDeducible($descDeducible = null)
    {
        // validation for constraint: string
        if (!is_null($descDeducible) && !is_string($descDeducible)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($descDeducible)), __LINE__);
        }
        $this->descDeducible = $descDeducible;
        return $this;
    }
    /**
     * Get descPlan value
     * @return string|null
     */
    public function getDescPlan()
    {
        return $this->descPlan;
    }
    /**
     * Set descPlan value
     * @param string $descPlan
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setDescPlan($descPlan = null)
    {
        // validation for constraint: string
        if (!is_null($descPlan) && !is_string($descPlan)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($descPlan)), __LINE__);
        }
        $this->descPlan = $descPlan;
        return $this;
    }
    /**
     * Get descProducto value
     * @return string|null
     */
    public function getDescProducto()
    {
        return $this->descProducto;
    }
    /**
     * Set descProducto value
     * @param string $descProducto
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setDescProducto($descProducto = null)
    {
        // validation for constraint: string
        if (!is_null($descProducto) && !is_string($descProducto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($descProducto)), __LINE__);
        }
        $this->descProducto = $descProducto;
        return $this;
    }
    /**
     * Get indInspeccion value
     * @return int|null
     */
    public function getIndInspeccion()
    {
        return $this->indInspeccion;
    }
    /**
     * Set indInspeccion value
     * @param int $indInspeccion
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setIndInspeccion($indInspeccion = null)
    {
        // validation for constraint: int
        if (!is_null($indInspeccion) && !is_numeric($indInspeccion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($indInspeccion)), __LINE__);
        }
        $this->indInspeccion = $indInspeccion;
        return $this;
    }
    /**
     * Get mapCoberturas value
     * @return \Liberty\Service\Cotizador\StructType\MapCoberturas|null
     */
    public function getMapCoberturas()
    {
        return $this->mapCoberturas;
    }
    /**
     * Set mapCoberturas value
     * @param \Liberty\Service\Cotizador\StructType\MapCoberturas $mapCoberturas
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setMapCoberturas(\Liberty\Service\Cotizador\StructType\MapCoberturas $mapCoberturas = null)
    {
        $this->mapCoberturas = $mapCoberturas;
        return $this;
    }
    /**
     * Get nroCotizacion value
     * @return int|null
     */
    public function getNroCotizacion()
    {
        return $this->nroCotizacion;
    }
    /**
     * Set nroCotizacion value
     * @param int $nroCotizacion
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setNroCotizacion($nroCotizacion = null)
    {
        // validation for constraint: int
        if (!is_null($nroCotizacion) && !is_numeric($nroCotizacion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($nroCotizacion)), __LINE__);
        }
        $this->nroCotizacion = $nroCotizacion;
        return $this;
    }
    /**
     * Get porcentajeComision value
     * @return float|null
     */
    public function getPorcentajeComision()
    {
        return $this->porcentajeComision;
    }
    /**
     * Set porcentajeComision value
     * @param float $porcentajeComision
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setPorcentajeComision($porcentajeComision = null)
    {
        $this->porcentajeComision = $porcentajeComision;
        return $this;
    }
    /**
     * Get porcentajeDescuento value
     * @return float|null
     */
    public function getPorcentajeDescuento()
    {
        return $this->porcentajeDescuento;
    }
    /**
     * Set porcentajeDescuento value
     * @param float $porcentajeDescuento
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setPorcentajeDescuento($porcentajeDescuento = null)
    {
        $this->porcentajeDescuento = $porcentajeDescuento;
        return $this;
    }
    /**
     * Get porcentajeRecargo value
     * @return float|null
     */
    public function getPorcentajeRecargo()
    {
        return $this->porcentajeRecargo;
    }
    /**
     * Set porcentajeRecargo value
     * @param float $porcentajeRecargo
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setPorcentajeRecargo($porcentajeRecargo = null)
    {
        $this->porcentajeRecargo = $porcentajeRecargo;
        return $this;
    }
    /**
     * Get primaAfecta value
     * @return float|null
     */
    public function getPrimaAfecta()
    {
        return $this->primaAfecta;
    }
    /**
     * Set primaAfecta value
     * @param float $primaAfecta
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setPrimaAfecta($primaAfecta = null)
    {
        $this->primaAfecta = $primaAfecta;
        return $this;
    }
    /**
     * Get primaBruta value
     * @return float|null
     */
    public function getPrimaBruta()
    {
        return $this->primaBruta;
    }
    /**
     * Set primaBruta value
     * @param float $primaBruta
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setPrimaBruta($primaBruta = null)
    {
        $this->primaBruta = $primaBruta;
        return $this;
    }
    /**
     * Get primaExenta value
     * @return float|null
     */
    public function getPrimaExenta()
    {
        return $this->primaExenta;
    }
    /**
     * Set primaExenta value
     * @param float $primaExenta
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setPrimaExenta($primaExenta = null)
    {
        $this->primaExenta = $primaExenta;
        return $this;
    }
    /**
     * Get primaNeta value
     * @return float|null
     */
    public function getPrimaNeta()
    {
        return $this->primaNeta;
    }
    /**
     * Set primaNeta value
     * @param float $primaNeta
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public function setPrimaNeta($primaNeta = null)
    {
        $this->primaNeta = $primaNeta;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Liberty\Service\Cotizador\StructType\CotizadorDetalleResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
